MAXScript Language Reference > 3ds Max Objects > Modifier : MAXWrapper and SpacewarpModifier : MAXWrapper > Modifier and SpacewarpModifier Types > Modifiers > Mesh Editing >

# VertexPaint : Modifier

    VertexPaint - superclass: modifier; super-superclass:MAXWrapper - 12:0 - classID: #(2126202437, 2078409803)

Value > MAXWrapper > Modifier > VertexPaint

| Modifier Classes - Quick Navigation

The original VertexPaint Class from older 3ds Max versions has been renamed to OldVertexPaint in 3ds Max 6. The new implementation has exactly the same class name but a different classID and completely replaces the old one.

Constructors:

    vertexPaint ... PaintLayerMod...

Properties:

    <VertexPaint>.ignoreBackfacing BooleanClass default: false -- boolean; Ignore_Backfacing

Get/Set the ignore backfacing option.

    <VertexPaint>.mapChannel Integer default: 0 -- integer; Map_Channel

Get/Set the Map Channel.

    <VertexPaint>.layerMode String default: "Normal" -- string; Layer_Mode

Get/Set the Layer Mode.

    <VertexPaint>.layerOpacity Float default: 100.0 -- animatable; float; Layer_Opacity

Get/Set the Layer Opacity.

    <VertexPaint>.layerIsolated BooleanClass default: false -- boolean; Layer_Isolated

Get/Set the Layer Isolated mode. Corresponds to the "Ignore Underlying Color" option in the UI.

    <VertexPaint>.surviveCondense BooleanClass default: false -- boolean; Survive_Condense

Get/Set the Survive Condense mode. Corresponds to the "Preserve Layer" option in the UI.

    <VertexPaint>.lightingModel Integer default: 1 -- integer; Lighting_Model

Get/Set the Lighting model. Possible values are:

1. - Lighting

2. - Shaded

3. - Diffuse

    <VertexPaint>.colorBy Integer default: 0 -- integer; Color_By

Get/Set the Color Assignment mode. Possible values are:

1. - Color By Face

2. - Color By Vertex

    <VertexPaint>.castShadows BooleanClass default: false -- boolean; Cast_Shadows

Get/Set the Cast Shadows option state. Corresponds to the "Calculate Shadows" option in the UI.

    <VertexPaint>.useMaps BooleanClass default: false -- boolean; Use_Maps

Get/Set the Use Maps option state. Corresponds to the "Use Maps" option in the UI.

    <VertexPaint>.useRadiosity BooleanClass default: false -- boolean; Use_Radiosity

Get/Set the Use Radiosity option state. Corresponds to the "Use Radiosity" option in the UI.

    <VertexPaint>.radiosityOnly BooleanClass default: false -- boolean; Radiosity_Only

Get/Set the Radiosity Only option state. Corresponds to the "Radiosity Only" option in the UI.

    <VertexPaint>.radiosityOption Integer default: 0 -- integer; Lighting_Model

Get/Set the Radiosity Lighting Model index.

Below is the original definition of the old VertexPaint Modifier:

## OldVertexPaint : Modifier

    OldVertexPaint - superclass: modifier; super-superclass:MAXWrapper - classID: #(1715171243, 1945400197)

Class instances not creatable in 3ds Max 6 and higher.

#### See Also

- Vertex_Paint_ Floater : ReferenceTarget

- Modifier Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods